Bulletin d'alerte Debian

DSA-583-1 lvm10 -- Répertoire temporaire non sécurisé

Date du rapport :
3 novembre 2004
Paquets concernés :
lvm10
Vulnérabilité :
Oui
Références dans la base de données de sécurité :
Dans le système de suivi des bogues Debian : Bogue 279229.
Dans le dictionnaire CVE du Mitre : CVE-2004-0972.
Plus de précisions :

Les développeurs de Trustix ont découvert la création non sécurisée de fichiers temporaires dans un script complémentaire du paquet lvm10 qui ne faisait pas les vérifications concernant la présence des répertoires temporaires déjà existants, permettant aux utilisateurs locaux d'écraser des fichiers via une attaque par lien symbolique.

Pour la distribution stable (Woody), ce problème a été corrigé dans la version 1.0.4-5woody2.

Pour la distribution instable (Sid), ce problème a été corrigé dans la version 1.0.8-8.

Nous vous recommandons de mettre à jour votre paquet lvm10.

Corrigé dans :

Debian GNU/Linux 3.0 (woody)

Source :
http://security.debian.org/pool/updates/main/l/lvm10/lvm10_1.0.4-5woody2.dsc
http://security.debian.org/pool/updates/main/l/lvm10/lvm10_1.0.4-5woody2.diff.gz
http://security.debian.org/pool/updates/main/l/lvm10/lvm10_1.0.4.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/l/lvm10/lvm10_1.0.4-5woody2_alpha.deb
ARM:
http://security.debian.org/pool/updates/main/l/lvm10/lvm10_1.0.4-5woody2_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/l/lvm10/lvm10_1.0.4-5woody2_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/l/lvm10/lvm10_1.0.4-5woody2_ia64.deb
HPPA:
http://security.debian.org/pool/updates/main/l/lvm10/lvm10_1.0.4-5woody2_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/l/lvm10/lvm10_1.0.4-5woody2_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/l/lvm10/lvm10_1.0.4-5woody2_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/l/lvm10/lvm10_1.0.4-5woody2_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/l/lvm10/lvm10_1.0.4-5woody2_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/l/lvm10/lvm10_1.0.4-5woody2_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/l/lvm10/lvm10_1.0.4-5woody2_sparc.deb

Les sommes MD5 des fichiers indiqués sont disponibles sur la page originale de l'alerte de sécurité.